#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "Dirs.h"
#include "TGAloader.h"
#include "external.h"
#include "Enemy.h"
#include "Render.h"

#define OFFSET 0.01

enum {
	BODY_GOBLIN,
	BODY_KNIGHT,
	BODY_DEMON,
	BODY_EXIT
};

class ChooseBody
{
private:
	Render *r;
	Enemy *e[4]; // XXX must be dinamic
	float cursorX,cursorY;
	int option;
	bool esc;
	bool shoot;
	unsigned int last;
	char **names; // must be data/role
	float scroll;

	void setOption(int);
public:
	ChooseBody();
	~ChooseBody();
	void drawScene();
	char *getModel();
	void getKeys();
	bool isFinished();
	int getOption();
};
