#ifndef _SKY_H_
#define _SKY_H_

#include "TGAloader.h"
#include "OpenGLH.h"
#include <GL/glu.h>

enum {
	BACK_ID,
	FRONT_ID,
	BOTTOM_ID,
	TOP_ID,
	LEFT_ID,
	RIGHT_ID
};

class Sky
{
	private:
	int attachTexture(char *name, int pos);

	public:
	float x,y,z;
	float width,height,length;
	texture g_Texture[6];
	Sky();
	Sky(float x, float y, float z, float width, float height, float length);
	void setDimension(float x, float y, float z, float width, float height, float length);
	int loadSky(char *ruta);
};


#endif


