#ifndef _GAME_H_
#define _GAME_H_

#include "OpenGLH.h"
#include "Collision.h"
#include "Stage.h"
#include "Render.h"
#include "Controls.h"
#include "Networkh.h"
#include "Dirs.h"

#define UPDATE_DELAY 30

//The main class of the game. It Propertiess all input and output events and has all the info inside
class Game{
	Stage *stg;		//This will Properties the information of the stage
 	Render *renderScreen;	//This will render everything
	Controls *ctr;		//Controls the keyboard
	Networkh *net;		//Controls the sockets connection
	Collision *col;		//Collisions...let's go!
	unsigned int updateTime;
	unsigned int updateDelay;

	void updateNet();

public:
	//Default costructor used to init all the vars
	Game(char *,char *);

	//Frees memory
	~Game();
	
	//Paints the world
	void draw();
	
	//Captures keyboard events
	//void input() { ctr->teclat(); }
	
	//Captures mouse events
	//void mouseMov(int x, int y){ ctr->mouseMov(x, y);}

	void input() { ctr->input(); }
};

#endif

