#include <SDL/SDL.h>
#include <GL/gl.h>
#include <GL/glu.h>
#include "Dirs.h"
#include "TGAloader.h"

enum {
	MENU_CLIENT=0,
	MENU_SERVER,
	MENU_OFFLINE,
	MENU_OPTIONS,
	MENU_EXIT,
	MENU_LAST
}; 

class MainMenu
{
private:
	int option;
	bool keypressed;
	bool esc;
	unsigned int menu[MENU_LAST];
	unsigned int logo;

	void setOption(int);
public:
	MainMenu();
	~MainMenu();
	void drawScene();
	void getKeys();
	bool isFinished();
	int getOption();
};
